cURL
curl --request GET \
--url https://api.yoshi.ai/v1/paper-trading/accounts \
--header 'Authorization: Bearer <token>'import os
from yoshi_sdk import Yoshi
client = Yoshi(
api_key=os.environ.get("YOSHI_API_KEY"), # This is the default and can be omitted
)
accounts = client.paper_trading.accounts.list()
print(accounts.data)import Yoshi from '@yoshi-ai/sdk';
const client = new Yoshi({
apiKey: process.env['YOSHI_API_KEY'], // This is the default and can be omitted
});
const accounts = await client.paperTrading.accounts.list();
console.log(accounts.data);package main
import (
"context"
"fmt"
"github.com/yoshi-ai-dev/yoshi-go"
"github.com/yoshi-ai-dev/yoshi-go/option"
)
func main() {
client := yoshi.NewClient(
option.WithAPIKey("My API Key"),
)
accounts, err := client.PaperTrading.Accounts.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", accounts.Data)
}
yoshi paper-trading:accounts list \
--api-key 'My API Key'{
"data": {
"accounts": [
{
"id": "<string>",
"name": "<string>",
"balance_available": 123,
"balance_current": 123,
"status": "<string>",
"as_of": "<string>",
"created_at": "<string>"
}
]
},
"meta": {
"request_id": "req_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"timestamp": "2026-04-10T12:00:00.000Z"
}
}Paper Trading
List Test Drive accounts
List Test Drive accounts with current balances for the user.
GET
/
paper-trading
/
accounts
cURL
curl --request GET \
--url https://api.yoshi.ai/v1/paper-trading/accounts \
--header 'Authorization: Bearer <token>'import os
from yoshi_sdk import Yoshi
client = Yoshi(
api_key=os.environ.get("YOSHI_API_KEY"), # This is the default and can be omitted
)
accounts = client.paper_trading.accounts.list()
print(accounts.data)import Yoshi from '@yoshi-ai/sdk';
const client = new Yoshi({
apiKey: process.env['YOSHI_API_KEY'], // This is the default and can be omitted
});
const accounts = await client.paperTrading.accounts.list();
console.log(accounts.data);package main
import (
"context"
"fmt"
"github.com/yoshi-ai-dev/yoshi-go"
"github.com/yoshi-ai-dev/yoshi-go/option"
)
func main() {
client := yoshi.NewClient(
option.WithAPIKey("My API Key"),
)
accounts, err := client.PaperTrading.Accounts.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", accounts.Data)
}
yoshi paper-trading:accounts list \
--api-key 'My API Key'{
"data": {
"accounts": [
{
"id": "<string>",
"name": "<string>",
"balance_available": 123,
"balance_current": 123,
"status": "<string>",
"as_of": "<string>",
"created_at": "<string>"
}
]
},
"meta": {
"request_id": "req_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"timestamp": "2026-04-10T12:00:00.000Z"
}
}Authorizations
A Yoshi API key from Settings → API Keys, or a Yoshi OAuth access token issued by Sign in with Yoshi.
Response
200 - application/json
Test Drive accounts retrieved.
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Last modified on June 18, 2026
Was this page helpful?